<html devsite><head>
    <title>Android 兼容性定义文档</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>欢迎阅读 Android 兼容性定义文档 (CDD)。本文档列举了设备需要满足哪些要求才能与最新的 Android 版本兼容。为了与 Android 兼容，设备实现必须满足此兼容性定义文档（包括以参考资料的形式纳入的任何文档）中列出的要求。对于 Android 平台的每个版本，我们都将提供详细的 CDD。CDD 代表 Android 兼容性的“政策”方向。</p>

<p>请务必注意，Android 兼容性计划的政策中已明确规定，任何测试套件（包括 CTS）都不是真正综合全面的。例如，CTS 包含可检查 OpenGL 图形 API 是否存在以及行为是否正确的测试，但任何软件测试都无法验证这类图形在屏幕上实际显示时的正确性。从更笼统的角度来说，测试硬件功能（如键盘、显示密度、WLAN 和蓝牙）是否存在是不太可能的事情。</p>

<p>CDD 的作用是整理和阐明具体要求，并消除歧义。CDD 并非综合全面的指南。由于 Android 代码是一系列开放源代码，因此代码本身就是其平台及 API 的综合“规范说明”。CDD 如同一个统合其他内容（如 SDK API 文档）的纲要，它提供了一个 Android 源代码的使用范式框架，从而促进最终实现一个兼容的系统。</p>

<p>如果您要打造与指定 Android 版本兼容的设备，请先查看该版本的源代码，然后阅读相应的 CDD 并遵守其准则。要了解更多详情，请查看<a href="/compatibility/android-cdd.pdf">最新 CDD</a>。</p>

<p>
您可以采用 HTML 网页形式或可轻松下载的 PDF 格式查看最新 CDD：</p>
  <ul>
    <li><a href="android-cdd.html">HTML</a></li>
    <li><a href="android-cdd.pdf">PDF</a></li>
  </ul>

<p>在下面查找旧版 CDD 和已获批准的发行版本字符串：</p>

<table>
  <tbody><tr>
    <th>版本</th>
    <th>PDF</th>
    <th>HTML/XHTML</th>
    <th>字符串</th>
  </tr>
  <tr>
    <td>9</td>
    <td><a href="9/android-9-cdd.pdf">android-9-cdd.pdf</a></td>
    <td><a href="9/android-9-cdd.html">android-9-cdd.html</a></td>
    <td><a href="9/versions.html">9 版</a></td>
  </tr>
  <tr>
    <td>8.1</td>
    <td><a href="8.1/android-8.1-cdd.pdf">android-8.1-cdd.pdf</a></td>
    <td><a href="8.1/android-8.1-cdd.html">android-8.1-cdd.html</a></td>
    <td><a href="8.1/versions.html">8.1 版</a></td>
  </tr>
  <tr>
    <td>8.0</td>
    <td><a href="8.0/android-8.0-cdd.pdf">android-8.0-cdd.pdf</a></td>
    <td><a href="8.0/android-8.0-cdd.html">android-8.0-cdd.html</a></td>
    <td><a href="8.0/versions.html">8.0 版</a></td>
  </tr>
  <tr>
    <td>7.1</td>
    <td><a href="7.1/android-7.1-cdd.pdf">android-7.1-cdd.pdf</a></td>
    <td><a href="7.1/android-7.1-cdd.html">android-7.1-cdd.html</a></td>
    <td><a href="7.1/versions.html">7.1 版</a></td>
  </tr>
  <tr>
    <td>7.0</td>
    <td><a href="7.0/android-7.0-cdd.pdf">android-7.0-cdd.pdf</a></td>
    <td><a href="7.0/android-7.0-cdd.html">android-7.0-cdd.html</a></td>
    <td><a href="7.0/versions.html">7.0 版</a></td>
  </tr>
  <tr>
    <td>6.0</td>
    <td><a href="6.0/android-6.0-cdd.pdf">android-6.0-cdd.pdf</a></td>
    <td><a href="6.0/android-6.0-cdd.html">android-6.0-cdd.html</a></td>
    <td><a href="6.0/versions.html">6.0 版</a></td>
  </tr>
  <tr>
    <td>5.1</td>
    <td><a href="5.1/android-5.1-cdd.pdf">android-5.1.cdd.pdf</a></td>
    <td><a href="5.1/android-5.1-cdd.html">android-5.1-cdd.html</a></td>
    <td><a href="5.1/versions.html">5.1 版</a></td>
  </tr>
  <tr>
    <td>5.0</td>
    <td><a href="5.0/android-5.0-cdd.pdf">android-5.0.cdd.pdf</a></td>
    <td><a href="5.0/android-5.0-cdd.html">android-5.0-cdd.html</a></td>
    <td><a href="5.0/versions.html">5.0 版</a></td>
  </tr>
  <tr>
    <td>4.4</td>
    <td><a href="4.4/android-4.4-cdd.pdf">android-4.4.cdd.pdf</a></td>
    <td><a href="4.4/android-4.4-cdd.html">android-4.4-cdd.html</a></td>
    <td><a href="4.4/versions.html">4.4 版</a></td>
  </tr>
  <tr>
    <td>4.3</td>
    <td><a href="4.3/android-4.3-cdd.pdf">android-4.3.cdd.pdf</a></td>
    <td><a href="4.3/android-4.3-cdd.html">android-4.3-cdd.html</a></td>
    <td><a href="4.3/versions.html">4.3 版</a></td>
  </tr>
  <tr>
    <td>4.2</td>
    <td><a href="4.2/android-4.2-cdd.pdf">android-4.2.cdd.pdf</a></td>
    <td><a href="4.2/android-4.2-cdd.html">android-4.2-cdd.html</a></td>
    <td><a href="4.2/versions.html">4.2 版</a></td>
  </tr>
  <tr>
    <td>4.1</td>
    <td><a href="4.1/android-4.1-cdd.pdf">android-4.1.cdd.pdf</a></td>
    <td><a href="4.1/android-4.1-cdd.html">android-4.1-cdd.html</a></td>
    <td><a href="4.1/versions.html">4.1 版</a></td>
  </tr>
  <tr>
    <td>4.0</td>
    <td><a href="4.0/android-4.0-cdd.pdf">android-4.0.cdd.pdf</a></td>
    <td><a href="4.0/android-4.0-cdd.html">android-4.0-cdd.html</a></td>
    <td><a href="4.0/versions.html">4.0 版</a></td>
  </tr>
  <tr>
    <td>2.3</td>
    <td><a href="2.3/android-2.3-cdd.pdf">android-2.3.cdd.pdf</a><br />
    <a href="2.3/android-2.3.3-cdd.pdf">android-2.3.3-cdd.pdf</a></td>
    <td><a href="2.3/android-2.3-cdd.html">android-2.3-cdd.html</a></td>
    <td><a href="2.3/versions.html">2.3 版</a></td>
  </tr>
  <tr>
    <td>2.2</td>
    <td><a href="2.2/android-2.2-cdd.pdf">android-2.2.cdd.pdf</a></td>
    <td><a href="2.2/android-2.2-cdd.html">android-2.2-cdd.html</a></td>
    <td><a href="2.2/versions.html">2.2 版</a></td>
  </tr>
  <tr>
    <td>2.1</td>
    <td><a href="2.1/android-2.1-cdd.pdf">android-2.1.cdd.pdf</a></td>
    <td><a href="2.1/android-2.1-cdd.html">android-2.1-cdd.html</a></td>
    <td><a href="2.1/versions.html">2.1 版</a></td>
  </tr>
  <tr>
    <td>1.6</td>
    <td><a href="1.6/android-1.6-cdd.pdf">android-1.6.cdd.pdf</a></td>
    <td><a href="1.6/android-1.6-cdd.html">android-1.6-cdd.html</a></td>
    <td> </td>
  </tr>
</tbody></table>

</body></html>